html {
    background-color: #f6f7f8;
}

body {
    overflow-x: hidden;
}

.addTaskContainer {
    background-color: #f6f7f8;
    padding-left: 96px;
    margin-left: 232px;
    height: 100%;
}

.addTaskContainer h1 {
    margin-block-start: 0;
    margin-block-end: 0;
    padding-top: 40px;
    font-size: 61px;
    font-weight: 700;
    padding-bottom: 30px;
}

.form {
    display: flex;
    justify-content: center;
    font-size: 20px;
}

.highlighter {
    color: rgba(255, 129, 144, 1);
}

.add-task-left {
    width: 440px;
    height: 376px;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

#title {
    width: 396px;
    height: 48px;
    border-radius: 10px;
    border: 1px solid #D1D1D1;
    padding: 12px 21px 12px 21px;
    color: black;
    margin-bottom: 16px;
    font-size: 20px;
}

#description {
    font-size: 20px;
    height: 120px;
    border-radius: 10px;
    border: 1px solid #D1D1D1;
    padding: 18px 16px 18px 16px;
    color: black;
    margin-bottom: 16px;
}

.add-task-left>select {
    appearance: none;
    background-image: url("/assets/img/drop-down-arrow.svg");
    background-repeat: no-repeat;
    background-position: right 16px center;
    background-size: 24px;
    padding-right: 40px;
}

.assigned-container,
.category-container {
    position: relative;
}

#category-dropdown {
    margin-top: 10px;
    margin-bottom: 30px;
    cursor: pointer;
}

#assigned-dropdown,
#category-dropdown {
    width: 406px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border: 1px solid rgba(209, 209, 209, 1);
    border-radius: 10px;
    padding: 0px 16px;
    background-color: white;
    margin-top: 8px;
}

#assigned-dropdown:hover {
    border: 1px solid rgb(176, 176, 176);
    cursor: pointer;
}

#assigned-person {
    display: flex;
    align-items: center;
    margin: 10px;
    margin-right: 15px;
}

.assigned-person-logo {
    width: 42px;
    height: 42px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 12px;
    background-color: rgba(255, 122, 0);
    border-radius: 50%;
    border: 1px solid rgba(255, 255, 255, 1);
    color: rgba(255, 255, 255, 1);
    margin-right: 10px;
}

#person-to-assigned,
#categories {
    width: 400px;
    height: 200px;
    position: absolute;
    padding: 12px 20px;
    box-shadow: 0px 0px 14px 3px rgba(0, 0, 0, 0.04);
    border-radius: 10px;
    border-top-right-radius: 0;
    border-top-left-radius: 0;
    background-color: rgba(255, 255, 255, 1);
    overflow: scroll;
    overflow-x: hidden;
    z-index: 1;
}


#categories {
    top: 82px;
}

.categories-container {
    display: flex;
    flex-direction: column;
}

.categories-container>span {
    border-radius: 10px;
    padding: 10px;
}

.categories-container>span:hover {
    cursor: pointer;
    background-color: rgba(0, 0, 0, 0.2);
}

.person-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 10px;
    padding: 5px;
    margin-bottom: 1px;
}

.person-container:hover {
    background-color: rgba(0, 0, 0, 0.2);
    cursor: pointer;
}

.person {
    display: flex;
    align-items: center;
}

.person-to-assigned-logo {
    width: 42px;
    height: 42px;
    font-size: 12px;
    color: rgb(255, 255, 255);
    border: 1px solid rgb(255, 255, 255);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    margin-right: 10px;
}

.person-container>img {
    width: 24px;
    height: 24px;
}

.person-container>img:hover {
    cursor: pointer;
    background-color: rgb(209, 209, 209);
    border-radius: 50%;
}

.drop-down-arrow {
    width: 32px;
    height: 32px;
    padding: 2px;
}

.drop-down-arrow:hover {
    background-color: rgba(0, 0, 0, 0.2);
    border-radius: 50%;
    cursor: pointer;
}

.subTaskBtn {
    width: 24px;
    height: 24px;
    padding: 2px;
}

.subTaskBtn:hover {
    background-color: rgba(0, 0, 0, 0.2);
    border-radius: 50%;
    cursor: pointer;
}

#point-out {
    margin-top: 50px;
    color: red;
}

.devider {
    width: 0px;
    height: 424px;
    border: 1px solid #D1D1D1;
    margin-left: 48px;
    margin-right: 48px;
    margin-bottom: 138px;
}

.add-task-right {
    width: 440px;
    height: 416px;
    margin-right: 15px;
}

#date {
    width: 406px;
    height: 48px;
    border-radius: 10px;
    border: 1px solid #D1D1D1;
    color: black;
    margin-bottom: 24px;
    font-size: 20px;
    padding: 0 16px;
    margin-top: 8px;
}

.prio-btn {
    display: flex;
    align-items: center;
    gap: 16px;
    margin-top: 10px;
    margin-bottom: 30px;
}

.high-btn,
.medium-btn,
.low-btn {
    width: 136px;
    height: 56px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    border-radius: 10px;
    padding: 16px 10px;
    border: none;
    background-color: rgb(255, 255, 255);
    box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.1);
    font-size: 20px;
    cursor: pointer;
}

.high-btn:hover,
.medium-btn:hover,
.low-btn:hover {
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

.high-btn-active {
    background-color: rgb(255, 61, 0);
    color: rgb(255, 255, 255);
    font-weight: 700;
}

.medium-btn-active {
    background-color: rgb(255, 168, 0);
    color: rgb(255, 255, 255);
    font-weight: 700;
}

.low-btn-active {
    background-color: rgb(122, 226, 41);
    color: rgb(255, 255, 255);
    font-weight: 700;
}

.category-container {
    display: flex;
    flex-direction: column;
}

.subtasks-container {
    display: flex;
    flex-direction: column;
}

.add-subtasks-container {
    height: 48px;
    position: relative;
}

.add-subtasks-container>input {
    width: 406px;
    border: 1px solid rgba(209, 209, 209, 1);
    border-radius: 10px;
    font-size: 20px;
    padding: 12px 16px;
    margin-bottom: 30px;
}

.add-subtasks-container>img {
    width: 24px;
    height: 24px;
    position: absolute;
    right: 20px;
    top: 12px;
    cursor: pointer;
    padding: 3px;
}

.add-subtasks-container>img:hover {
    background-color: rgba(0, 0, 0, 0.1);
    border-radius: 50%;
}

#added-subtasks-list {
    height: 60px;
    overflow-x: hidden;
    padding-left: 0;
}

#added-subtasks-list>li {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5px 20px;
}

#added-subtasks-list>li:hover {
    background-color: rgba(0, 0, 0, 0.1);
    border-radius: 10px;
}

.subtask>img {
    cursor: pointer;
}

.bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-right: 120px;
    padding-bottom: 55px;
}

.bottom-left>span {
    font-size: 20px;
    color: rgba(0, 0, 0, 1);
}

.bottom-left>span:nth-child(1) {
    color: rgba(255, 129, 144, 1);
}

.bottom-right {
    width: 334px;
    display: flex;
    justify-content: space-between;
}

.cancel-btn,
.create-task-btn {
    width: 126px;
    height: 56px;
    color: rgba(42, 54, 71, 1);
    font-size: 20px;
    border: 2px solid rgba(42, 54, 71, 1);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
    text-decoration: none;
}

.create-task-btn {
    width: 183px;
    background-color: rgba(42, 54, 71, 1);
    color: rgb(255, 255, 255);
}

.cancel-btn:hover {
    color: rgba(41, 171, 226, 1);
    border: 2px solid rgba(41, 171, 226, 1);
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

.create-task-btn:hover {
    background-color: rgba(41, 171, 226, 1);
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
    border: none;
}

.bottom-right>a>img {
    margin-left: 10px;
}

.bottomMobile {
    display: none;
}

.bottomConPadding {
    padding-left: 710px;
}

li img {
    display: none;
}

li:hover img {
    display: unset;
}

li input {
    font-size: 20px;
    width: 45%;
    border: none;
    padding: 5px;
    border-radius: 10px;
}

.notification {
    position: fixed;
    top: 50%;
    right: 30%;
    background-color: #4caf50;
    color: white;
    padding: 15px 20px;
    border-radius: 5px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
    z-index: 1000;
    font-size: 24px;
    animation: fadeInOut 3s ease;
    text-align: center;
}

@keyframes fadeInOut {
    0% {
        opacity: 0;
        transform: translateY(-10px);
    }

    20%,
    80% {
        opacity: 1;
        transform: translateY(0);
    }

    100% {
        opacity: 0;
        transform: translateY(-10px);
    }
}

@media only screen and (max-width: 1330px) {
    .addTaskContainer {
        padding-left: 16px;
    }
}

@media only screen and (max-width: 1250px) {
    .devider {
        margin-left: 15px;
        margin-right: 15px;
    }
}

@media only screen and (max-width: 1180px) {
    .add-task-left {
        width: 332px;
    }

    #assigned-dropdown,
    #category-dropdown {
        width: 300px;
    }

    #title {
        width: 288px;
    }

    .add-task-right {
        width: 340px;
    }

    #date {
        width: 302px;
    }

    .add-subtasks-container>input {
        width: 300px;
    }

    .high-btn,
    .medium-btn,
    .low-btn {
        font-size: 15px;
    }

    #person-to-assigned,
    #categories {
        width: 290px;
    }
}

@media only screen and (max-width: 970px) {
    body {
        height: 100%;
    }

    .form {
        flex-direction: column;
    }

    .devider {
        display: none;
    }

    .bottom {
        margin-top: 90px;
        padding-bottom: 20px;
    }

    .addTaskContainer h1 {
        padding-top: 48px;
        padding-bottom: 40px;
    }

    .notification {
        top: 50%;
        right: 39%;
    }
}

@media only screen and (max-width: 930px) {
    .bottom-left {
        display: none;
    }
}

@media only screen and (max-width: 768px) {
    .form {
        font-size: 18px;
    }

    .bottom {
        padding-bottom: 90px;
    }

    .addTaskContainer {
        margin-left: 0;
        padding-left: 25px;
    }

    .addTaskContainer h1 {
        font-size: 47px;
    }

    .add-task-left {
        width: 280px;
    }

    #title {
        width: 238px;
        font-size: 15px;
    }

    #description {
        font-size: 15px;
    }

    #assigned-dropdown,
    #category-dropdown {
        width: 246px;
        font-size: 15px;
    }

    #person-to-assigned,
    #categories {
        width: 235px;
    }

    .add-task-right {
        width: 280px;
    }

    #date {
        width: 245px;
        font-size: 15px;
    }

    .high-btn,
    .medium-btn,
    .low-btn {
        height: 41px;
        padding: 0px 4px;
        font-size: 16px;
    }

    .prio-btn {
        gap: 8px;
    }

    .add-subtasks-container>input {
        width: 247px;
        font-size: 15px;
    }

    .add-subtasks-container>img {
        width: 20px;
        height: 20px;
        right: 15px;
        top: 11px;
    }

    .cancel-btn {
        width: 100px;
        padding: 0 5px;
        font-size: 16px;
    }

    .create-task-btn {
        width: 150px;
        font-size: 16px;
    }

    .bottom-right {
        gap: 16px;
    }

    li img {
        display: unset;
    }

    li input {
        font-size: 16px;
    }

    .notification {
        top: 72%;
        right: 10%;
        font-size: 16px;
    }
}

@media only screen and (min-width: 1550px) {
    .bottom {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 550px;
    }
}